Skip to main content
GET
Get challenges (depending on the provided site and filters)

Path Parameters

site-id
string
required

The site identifier

Query Parameters

minBeginDate
string

The minimal begin date

maxBeginDate
string

The maximal begin date

minEndDate
string

The minimal end date

maxEndDate
string

The maximal end date

challengeFamily
string

The challenge family

challengeType
enum<string>

The challenge type

Available options:
PEAK_DAY,
REWARD_DAY,
SHIFT_DAY,
PERIOD,
MARATHON,
SPRINT,
VARIATION_CONSUMPTION_DAY,
REDUCE_CONSUMPTION_DAY,
OVER_CONSUMPTION_DAY
limit
number

The limit of challenge to retrieve

orderBy
enum<string>

Order and sort challenge by date

Available options:
BEGIN_DATE_ASC,
BEGIN_DATE_DESC,
END_DATE_ASC,
END_DATE_DESC

Response

Successful response

units
object
required

Units by type of consumption

challenges
object[]
required

The list of challenges

limit
number
required

limit of challenges received

Example:

5

orderBy
enum<string>
required

challenges ordered and sorted by field

Available options:
BEGIN_DATE_ASC,
BEGIN_DATE_DESC,
END_DATE_ASC,
END_DATE_DESC
Example:

"BEGIN_DATE_ASC"